Ext.data.JsonP.Ext_dom_Query({"tagname":"class","name":"Ext.dom.Query","extends":null,"mixins":[],"alternateClassNames":["Ext.DomQuery","Ext.core.DomQuery"],"aliases":{},"singleton":true,"requires":[],"uses":[],"code_type":"nop","inheritable":false,"inheritdoc":null,"meta":{"docauthor":["译者: Aimee<1062764851@qq.com>"]},"id":"class-Ext.dom.Query","members":{"cfg":[],"property":[{"name":"matchers","tagname":"property","owner":"Ext.dom.Query","meta":{},"id":"property-matchers"},{"name":"operators","tagname":"property","owner":"Ext.dom.Query","meta":{},"id":"property-operators"},{"name":"pseudos","tagname":"property","owner":"Ext.dom.Query","meta":{},"id":"property-pseudos"}],"method":[{"name":"compile","tagname":"method","owner":"Ext.dom.Query","meta":{},"id":"method-compile"},{"name":"filter","tagname":"method","owner":"Ext.dom.Query","meta":{},"id":"method-filter"},{"name":"is","tagname":"method","owner":"Ext.dom.Query","meta":{},"id":"method-is"},{"name":"jsSelect","tagname":"method","owner":"Ext.dom.Query","meta":{},"id":"method-jsSelect"},{"name":"select","tagname":"method","owner":"Ext.dom.Query","meta":{},"id":"method-select"},{"name":"selectNode","tagname":"method","owner":"Ext.dom.Query","meta":{},"id":"method-selectNode"},{"name":"selectNumber","tagname":"method","owner":"Ext.dom.Query","meta":{},"id":"method-selectNumber"},{"name":"selectValue","tagname":"method","owner":"Ext.dom.Query","meta":{},"id":"method-selectValue"}],"event":[],"css_var":[],"css_mixin":[]},"statics":{"cfg":[],"property":[],"method":[],"event":[],"css_var":[],"css_mixin":[]},"files":[{"filename":"Query.js","href":"Query.html#Ext-dom-Query"},{"filename":"DomQuery-aria.js","href":"DomQuery-aria.html#Ext-DomQuery"}],"private":null,"html_meta":{"docauthor":null},"component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"parentMixins":[],"html":"<div><pre class=\"hierarchy\"><h4>Alternate names</h4><div class='alternate-class-name'>Ext.DomQuery</div><div class='alternate-class-name'>Ext.core.DomQuery</div><h4>Files</h4><div class='dependency'><a href='source/Query.html#Ext-dom-Query' target='_blank'>Query.js</a></div><div class='dependency'><a href='source/DomQuery-aria.html#Ext-DomQuery' target='_blank'>DomQuery-aria.js</a></div></pre><div class='doc-contents'><p>本类提供了高性能的selector/ XPath的处理，通过查询编译成可重用的功能.\n新的伪类和匹配器可以使用插入. 它适用于HTML和XML文档(若传入一个内容节点).</p>\n\n<p>DomQuery支持大部分的<a href=\"http://www.w3.org/TR/2005/WD-css3-selectors-20051215/#selectors\">CSS3选择器规格</a> ，以及一些自定义的selectors和基本的XPath.</p>\n\n<p>所有选择，属性过滤器，以及以下的假点可以以任何顺序无限结合. 例如\n<code>div.foo:nth-child(odd)[@foo=bar].bar:first</code> 就是个完全有效的选择.\n节点过滤器会处理它们出现的任意顺序，所以您可以根据您的文档结构优化您的查询.</p>\n\n<h2>元素选择:</h2>\n\n<ul>\n<li><strong><code>*</code></strong> 任意元素</li>\n<li><strong><code>E</code></strong> 带一个E标签的元素</li>\n<li><strong><code>E F</code></strong> E派生的元素中所有带F标签的</li>\n<li><strong><code>E &gt; F</code></strong> or <strong>E/F</strong> E直接子元素中所有带F标签的</li>\n<li><strong><code>E + F</code></strong> 带有E标签的元素后跟着的带F标签的所有元素</li>\n<li><strong><code>E ~ F</code></strong> 带有E标签的兄弟元素后跟着的带F标签的所有元素</li>\n</ul>\n\n\n<h2>属性选择:</h2>\n\n<p>'@'和引用都是可选的. 例如, <code>div[@foo='bar']</code> 就是个有效的属性选择.</p>\n\n<ul>\n<li><strong><code>E[foo]</code></strong> 拥有一个属性\"foo\"</li>\n<li><strong><code>E[foo=bar]</code></strong> 有一个属性\"foo\"等价于\"bar\"</li>\n<li><strong><code>E[foo^=bar]</code></strong> 有一个属性\"foo\"是由\"bar\"开头的</li>\n<li><strong><code>E[foo$=bar]</code></strong> 有一个属性\"foo\"是以\"bar\"结尾的</li>\n<li><strong><code>E[foo*=bar]</code></strong> 有一个属性\"foo\"包含子字符串\"bar\"</li>\n<li><strong><code>E[foo%=2]</code></strong> 有一个属性\"foo\"能被2整除</li>\n<li><strong><code>E[foo!=bar]</code></strong> 有一个属性\"foo\"不等价于\"bar\"</li>\n</ul>\n\n\n<h2>伪类:</h2>\n\n<ul>\n<li><strong><code>E:first-child</code></strong> E是父类的第一个孩子</li>\n<li><strong><code>E:last-child</code></strong> E是父类的最后一个孩子</li>\n<li><strong><code>E:nth-child(_n_)</code></strong> E是父类的第n个孩子(以1为单位规格)</li>\n<li><strong><code>E:nth-child(odd)</code></strong> E是父类的一个奇数孩子</li>\n<li><strong><code>E:nth-child(even)</code></strong> E是父类的一个偶数孩子</li>\n<li><strong><code>E:only-child</code></strong> E是其父类的唯一孩子</li>\n<li><strong><code>E:checked</code></strong> E是一个带有检查真属性的元素(例如：一个radio或checkbox)</li>\n<li><strong><code>E:first</code></strong> 结果集中的第一个E</li>\n<li><strong><code>E:last</code></strong> 结果集中的最后一个E</li>\n<li><strong><code>E:nth(_n_)</code></strong> 结果集中的第n个E(1为基准)</li>\n<li><strong><code>E:odd</code></strong> 快捷方式:第n个孩子(奇数位)</li>\n<li><strong><code>E:even</code></strong> 快捷方式:第n个孩子(偶数位)</li>\n<li><strong><code>E:contains(foo)</code></strong> E的innerHTML中包含子字符串\"foo\"</li>\n<li><strong><code>E:nodeValue(foo)</code></strong> E中包含一个文本节点，且节点值等于“foo”</li>\n<li><strong><code>E:not(S)</code></strong> 一个与简单选择符S不匹配的E元素</li>\n<li><strong><code>E:has(S)</code></strong> 一个拥有可以与简单选择符S匹配的子集的E元素</li>\n<li><strong><code>E:next(S)</code></strong>  下一个兄弟元素是与简单选择符S匹配的E元素</li>\n<li><strong><code>E:prev(S)</code></strong>  前一个兄弟元素是与简单选择符S匹配的E元素</li>\n<li><strong><code>E:any(S1|S2|S2)</code></strong> 和任意的简单选择符S1, S2 或 S3匹配的E元素</li>\n</ul>\n\n\n<h2>CSS 值选择:</h2>\n\n<ul>\n<li><strong><code>E{display=none}</code></strong> css的值\"display\"等价于\"none\"</li>\n<li><strong><code>E{display^=none}</code></strong> css的值\"display\" 是以\"none\"开头的</li>\n<li><strong><code>E{display$=none}</code></strong> css的值\"display\" 是以\"none\"结尾的</li>\n<li><strong><code>E{display*=none}</code></strong> css的值\"display\" 包含子字符串\"none\"</li>\n<li><strong><code>E{display%=2}</code></strong> css的值\"display\"是可以被2整除的</li>\n<li><strong><code>E{display!=none}</code></strong> css的值\"display\"不等价于\"none\"</li>\n</ul>\n\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-property'>Properties</h3><div class='subsection'><div id='property-matchers' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.dom.Query'>Ext.dom.Query</span><br/><a href='source/Query.html#Ext-dom-Query-property-matchers' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.dom.Query-property-matchers' class='name expandable'>matchers</a><span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a></span></div><div class='description'><div class='short'>匹配正则表达式和代码片段的集合. ...</div><div class='long'><p>匹配正则表达式和代码片段的集合.\n在选择的语句中的每个捕获组中带<code>()</code>将会被指定索引的<code>{}</code>替代.</p>\n<p>Defaults to: <code>[{re: /^\\.([\\w\\-\\\\]+)/, select: &quot;n = byClassName(n, &quot; {1} &quot;);&quot;}, {re: /^\\:([\\w\\-]+)(?:\\(((?:[^\\s&gt;\\/]*|.*?))\\))?/, select: &quot;n = byPseudo(n, &quot;{1}&quot;, &quot;{2}&quot;);&quot;}, {re: /^(?:([\\[\\{])(?:@)?([\\w\\-]+)\\s?(?:(=|.=)\\s?['&quot;]?(.*?)[&quot;']?)?[\\]\\}])/, select: &quot;n = byAttribute(n, &quot;{2}&quot;, &quot;{4}&quot;, &quot;{3}&quot;, &quot;{1}&quot;);&quot;}, {re: /^#([\\w\\-\\\\]+)/, select: &quot;n = byId(n, &quot;{1}&quot;);&quot;}, {re: /^@([\\w\\-]+)/, select: &quot;return {firstChild:{nodeValue:attrValue(n, &quot;{1}&quot;)}};&quot;}]</code></p></div></div></div><div id='property-operators' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.dom.Query'>Ext.dom.Query</span><br/><a href='source/Query.html#Ext-dom-Query-property-operators' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.dom.Query-property-operators' class='name expandable'>operators</a><span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span></div><div class='description'><div class='short'>运算符比较的函数集合\n默认的运算符有=, !=, ^=, $=, *=, %=, |= and ~=. ...</div><div class='long'><p>运算符比较的函数集合\n默认的运算符有<code>=</code>, <code>!=</code>, <code>^=</code>, <code>$=</code>, <code>*=</code>, <code>%=</code>, <code>|=</code> and <code>~=</code>.\n只要匹配格式<em>c</em><code>=</code>,其中<em>c</em>可以是任何的非空格、<code>&gt;</code>, 或 <code>&lt;</code>等字符，\n就可以作为新增的运算符</p>\n</div></div></div><div id='property-pseudos' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.dom.Query'>Ext.dom.Query</span><br/><a href='source/Query.html#Ext-dom-Query-property-pseudos' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.dom.Query-property-pseudos' class='name expandable'>pseudos</a><span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span></div><div class='description'><div class='short'>被用于需要过滤选择器的\"pseudo class\" 过滤函数的对象hash. ...</div><div class='long'><p>被用于需要过滤选择器的\"pseudo class\" 过滤函数的对象hash.\n每个函数都需要传递两个参数:</p>\n\n<ul>\n<li><p><strong>c</strong> : 数组\n  要过滤的DOM元素数组.</p></li>\n<li><p><strong>v</strong> : 字符串\n  在选择中供应的参数(如果有的话).</p></li>\n</ul>\n\n\n<p>一个返回DOM元素数组的符合伪类的过滤器函数.\n除了上面列出所提供的伪类，如<code>first-child</code> and <code>nth-child</code>,\n开发者可以添加额外的，自定义的伪类过滤器，用于根据应用的特定要求来选择元素.</p>\n\n<p>例如, 为过滤<code>a</code>元素，只要返回链接<strong>external</strong> resources:</p>\n\n<pre><code>Ext.DomQuery.pseudos.external = function(c, v){\n    var r = [], ri = -1;\n    for(var i = 0, ci; ci = c[i]; i++){\n        // 只有它是链接到外部资源时，才包含在结果集中\n        if(ci.hostname != location.hostname){\n            r[++ri] = ci;\n        }\n    }\n    return r;\n};\n</code></pre>\n\n<p>那么外部链接可以用下面的语句来收集:</p>\n\n<pre><code>var externalLinks = <a href=\"#!/api/Ext-method-select\" rel=\"Ext-method-select\" class=\"docClass\">Ext.select</a>(\"a:external\");\n</code></pre>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-compile' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.dom.Query'>Ext.dom.Query</span><br/><a href='source/Query.html#Ext-dom-Query-method-compile' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.dom.Query-method-compile' class='name expandable'>compile</a>( <span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> path, [<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> type]</span> ) : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a></div><div class='description'><div class='short'>编译一个selector/xpath查询为可重用的函数. ...</div><div class='long'><p>编译一个selector/xpath查询为可重用的函数.\n返回的函数带有一个参数“root”(可选),是查询应该开始的上下文节点.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>path</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>查询的路径</p>\n</div></li><li><span class='pre'>type</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>一个简单的选择匹配，可以是\"select\"或\"simple\"</p>\n<p>Defaults to: <code>&quot;select&quot;</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-filter' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.dom.Query'>Ext.dom.Query</span><br/><a href='source/Query.html#Ext-dom-Query-method-filter' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.dom.Query-method-filter' class='name expandable'>filter</a>( <span class='pre'>HTMLElement[] el, <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> selector, <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> nonMatches</span> ) : HTMLElement[]</div><div class='description'><div class='short'>过滤一元素数组，使得只包含匹配一个简单选择器的元素\n(例如： div.some-class or span:first-child) ...</div><div class='long'><p>过滤一元素数组，使得只包含匹配一个简单选择器的元素\n(例如： <code>div.some-class</code> or <code>span:first-child</code>)</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>el</span> : HTMLElement[]<div class='sub-desc'><p>一个需要过滤的元素数组</p>\n</div></li><li><span class='pre'>selector</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>需要测试的简单选择器</p>\n</div></li><li><span class='pre'>nonMatches</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'><p>设为真,\n则返回没有匹配的元素代替匹配的元素</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>HTMLElement[]</span><div class='sub-desc'><p>匹配选择器的一个DOM元素数组.\n若没有匹配的，则返回一个空数组.</p>\n</div></li></ul></div></div></div><div id='method-is' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.dom.Query'>Ext.dom.Query</span><br/><a href='source/Query.html#Ext-dom-Query-method-is' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.dom.Query-method-is' class='name expandable'>is</a>( <span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/HTMLElement/HTMLElement[] el, <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> selector</span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></div><div class='description'><div class='short'>传递的元素和传递的简单选择器匹配时，返回true\n(例如： div.some-class or span:first-child) ...</div><div class='long'><p>传递的元素和传递的简单选择器匹配时，返回true\n(例如： <code>div.some-class</code> or <code>span:first-child</code>)</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>el</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/HTMLElement/HTMLElement[]<div class='sub-desc'><p>一个元素的id, 元素或元素数组</p>\n</div></li><li><span class='pre'>selector</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>需要测试的简单选择器</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-jsSelect' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.dom.Query'>Ext.dom.Query</span><br/><a href='source/Query.html#Ext-dom-Query-method-jsSelect' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.dom.Query-method-jsSelect' class='name expandable'>jsSelect</a>( <span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> selector, [HTMLElement/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> root]</span> ) : HTMLElement[]</div><div class='description'><div class='short'>选择只使用JavaScript实现的DOM节点的数组. ...</div><div class='long'><p>选择只使用JavaScript实现的DOM节点的数组.</p>\n\n<p>使用 <a href=\"#!/api/Ext.dom.Query-method-select\" rel=\"Ext.dom.Query-method-select\" class=\"docClass\">select</a> 充分利用支持内置的CSS选择器浏览器的优势.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>selector</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>查询的选择/路径(可以是逗号分隔的选择列表)</p>\n</div></li><li><span class='pre'>root</span> : HTMLElement/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>查询的起始点.</p>\n<p>Defaults to: <code>document</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>HTMLElement[]</span><div class='sub-desc'><p>匹配选择的DOM元素数组.\n若没有匹配的，则返回一个空数组.</p>\n</div></li></ul></div></div></div><div id='method-select' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.dom.Query'>Ext.dom.Query</span><br/><a href='source/Query.html#Ext-dom-Query-method-select' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.dom.Query-method-select' class='name expandable'>select</a>( <span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> path, [HTMLElement root], [<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> type]</span> ) : HTMLElement[]</div><div class='description'><div class='short'>用CSS/XPath选择器选择选择一个DOM节点数组\n\n若浏览器支持，则使用 document.querySelectorAll, 否则回复使用\njsSelect 来工作. ...</div><div class='long'><p>用CSS/XPath选择器选择选择一个DOM节点数组</p>\n\n<p>若浏览器支持，则使用 <a href=\"https://developer.mozilla.org/en/DOM/document.querySelectorAll\">document.querySelectorAll</a>, 否则回复使用\n<a href=\"#!/api/Ext.dom.Query-method-jsSelect\" rel=\"Ext.dom.Query-method-jsSelect\" class=\"docClass\">jsSelect</a> 来工作.</p>\n\n<p>别名为 <a href=\"#!/api/Ext-method-query\" rel=\"Ext-method-query\" class=\"docClass\">Ext.query</a>.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>path</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>查询的选择/路径</p>\n\n</div></li><li><span class='pre'>root</span> : HTMLElement (optional)<div class='sub-desc'><p>查询的起始点</p>\n\n<p>Defaults to: <code>document</code></p></div></li><li><span class='pre'>type</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>一个简单选择器匹配的，可以是\"select\"或\"simple\"\n(只有当jsSelect方法调用时才有效)</p>\n\n<p>Defaults to: <code>&quot;select&quot;</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>HTMLElement[]</span><div class='sub-desc'><p>一个DOM元素数组(<code>querySelectorAll</code>的返回值，不只是一个NodeList).</p>\n\n</div></li></ul></div></div></div><div id='method-selectNode' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.dom.Query'>Ext.dom.Query</span><br/><a href='source/Query.html#Ext-dom-Query-method-selectNode' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.dom.Query-method-selectNode' class='name expandable'>selectNode</a>( <span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> selector, [HTMLElement root]</span> ) : HTMLElement</div><div class='description'><div class='short'>选择一个单一元素. ...</div><div class='long'><p>选择一个单一元素.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>selector</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>查询的选择/路径</p>\n</div></li><li><span class='pre'>root</span> : HTMLElement (optional)<div class='sub-desc'><p>查询的起始点</p>\n<p>Defaults to: <code>document</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>HTMLElement</span><div class='sub-desc'><p>匹配选择的DOM元素</p>\n</div></li></ul></div></div></div><div id='method-selectNumber' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.dom.Query'>Ext.dom.Query</span><br/><a href='source/Query.html#Ext-dom-Query-method-selectNumber' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.dom.Query-method-selectNumber' class='name expandable'>selectNumber</a>( <span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> selector, [HTMLElement root], <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> defaultValue</span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></div><div class='description'><div class='short'>选择节点的值，并且解析为整型、字符型. ...</div><div class='long'><p>选择节点的值，并且解析为整型、字符型.\n没有特别指定，则返回默认值或0.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>selector</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>查询的选择/路径</p>\n</div></li><li><span class='pre'>root</span> : HTMLElement (optional)<div class='sub-desc'><p>查询的起始点.</p>\n<p>Defaults to: <code>document</code></p></div></li><li><span class='pre'>defaultValue</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>若有指定[defaultValue]，当返回值为空时，则返回[defaultValue].</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-selectValue' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.dom.Query'>Ext.dom.Query</span><br/><a href='source/Query.html#Ext-dom-Query-method-selectValue' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.dom.Query-method-selectValue' class='name expandable'>selectValue</a>( <span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> selector, [HTMLElement root], <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> defaultValue</span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></div><div class='description'><div class='short'>选择一个节点的值，可选的设置为null默认值. ...</div><div class='long'><p>选择一个节点的值，可选的设置为null默认值.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>selector</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>查询的选择/路径</p>\n</div></li><li><span class='pre'>root</span> : HTMLElement (optional)<div class='sub-desc'><p>查询的起始点.</p>\n<p>Defaults to: <code>document</code></p></div></li><li><span class='pre'>defaultValue</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>若有指定[defaultValue]，当返回值为空时，则返回[defaultValue].</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div></div></div></div></div>"});